OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class Parameter

    java.lang.Object
      org.opennms.netmgt.eventd.db.Parameter

public final class Parameter
extends java.lang.Object

This is an utility class used to format the event parameters - to be inserted into the 'events' table

Author:
  Brian Weaver , OpenNMS

Constructor Summary
`Parameter()`

Method Summary
`static java.lang.String` `format(Parm parm)` Format each parameter
`static java.lang.String` `format(Parms parms)` Format the list of event paramaters

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### format

    public static java.lang.String format(Parms parms)

  Format the list of event paramaters

  Parameters:
    `parms` - the list
  Returns:
    the formatted event parameters string

### format

    public static java.lang.String format(Parm parm)

  Format each parameter

  Parameters:
    `parm` - the parameter
  Returns:
    the formatted event parameter string

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.